Error Message

Third party plugins, patches, bugfixes
Post Reply
User avatar
Deon R Warrin
Newbie
Posts: 5
Joined: Sat Sep 24, 2022 6:30 pm

Error Message

Post by Deon R Warrin »

Can anyone help me resolve this issue? I cannot open my LMS. I get the following error message:

Fatal error: Declaration of Plugin\GoogleAuth\Authentication::getLoginGUI() must be compatible with PluginAuthenticationWithRedirectInterface::getLoginGUI($redirect = '') in /home2/talenud8/public_html/plugins/GoogleAuth/Authentication.php on line 26
alfa24
Senior Boarder
Posts: 1672
Joined: Fri Nov 24, 2017 8:45 am
Version: forma.lms 1.4.2

Re: Error Message

Post by alfa24 »

Please provide version of Forma and PHP.
I'm Jasmines, the One. If you need, you can contact me.
User avatar
Deon R Warrin
Newbie
Posts: 5
Joined: Sat Sep 24, 2022 6:30 pm

Re: Error Message

Post by Deon R Warrin »

Forma LMS 3.1
talentstudio.co.za PHP 7.4 (ea-php74)
alfa24
Senior Boarder
Posts: 1672
Joined: Fri Nov 24, 2017 8:45 am
Version: forma.lms 1.4.2

Re: Error Message

Post by alfa24 »

Downgrade to php 7.3 or apply the following fix.

In /plugins/GoogleAuth/Authentication.php

find

Code: Select all

public static function getLoginGUI()
replace with:

Code: Select all

public static function getLoginGUI($redirect = '')
Unfortunately forma 3.1 is said to be compatible with 7.4 syntax, but it's not 100% true.
I'm Jasmines, the One. If you need, you can contact me.
User avatar
Deon R Warrin
Newbie
Posts: 5
Joined: Sat Sep 24, 2022 6:30 pm

Re: Error Message

Post by Deon R Warrin »

I tried both options:
Applied the fix first. I did not work.

Then I tried the downgrade to php 7.3. I get this error message:
This page isn’t workingtalentstudio.co.za is currently unable to handle this request.
HTTP ERROR 500

Is there any way I can get to the dashboard to deactivate the GoogleAuth plugin?
alfa24
Senior Boarder
Posts: 1672
Joined: Fri Nov 24, 2017 8:45 am
Version: forma.lms 1.4.2

Re: Error Message

Post by alfa24 »

What "did not work" means? Still the same error message? Another one?
Error 500 hides an error message, you must find it in the web server logs and provide it.
I'm Jasmines, the One. If you need, you can contact me.
User avatar
Deon R Warrin
Newbie
Posts: 5
Joined: Sat Sep 24, 2022 6:30 pm

Re: Error Message

Post by Deon R Warrin »

error message with apply the following fix.

In /plugins/GoogleAuth/Authentication.php

Fatal error: Declaration of Plugin\LinkedinAuth\Authentication::getLoginGUI() must be compatible with PluginAuthenticationWithRedirectInterface::getLoginGUI($redirect = '') in /home2/talenud8/public_html/plugins/LinkedinAuth/Authentication.php on line 28
alfa24
Senior Boarder
Posts: 1672
Joined: Fri Nov 24, 2017 8:45 am
Version: forma.lms 1.4.2

Re: Error Message

Post by alfa24 »

This is different from the first one.
You should apply the same fix to In /plugins/LinkedinAuth/Authentication.php too.
I'm Jasmines, the One. If you need, you can contact me.
User avatar
Deon R Warrin
Newbie
Posts: 5
Joined: Sat Sep 24, 2022 6:30 pm

Re: Error Message

Post by Deon R Warrin »

Thank you for resolving this problem. The fix worked very well. I had to apply the same fix to all the social media plugins Authentication.php.
Post Reply